> ## Documentation Index
> Fetch the complete documentation index at: https://cognitio-agent.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Show TUI toast

> Show a toast notification in the TUI



## OpenAPI

````yaml /openapi.json post /tui/show-toast
openapi: 3.1.1
info:
  title: cognitio
  description: cognitio api
  version: 1.0.0
servers: []
security: []
paths:
  /tui/show-toast:
    post:
      summary: Show TUI toast
      description: Show a toast notification in the TUI
      operationId: tui.showToast
      parameters:
        - in: query
          name: directory
          schema:
            type: string
        - in: query
          name: workspace
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                title:
                  type: string
                message:
                  type: string
                variant:
                  type: string
                  enum:
                    - info
                    - success
                    - warning
                    - error
                duration:
                  description: Duration in milliseconds
                  default: 5000
                  type: number
                sessionID:
                  description: Session ID associated with the notification
                  type: string
                  pattern: ^ses.*
              required:
                - message
                - variant
      responses:
        '200':
          description: Toast notification shown successfully
          content:
            application/json:
              schema:
                type: boolean
      x-codeSamples:
        - lang: js
          source: |-
            import { createCognitioClient } from "@cognitio/sdk

            const client = createCognitioClient()
            await client.tui.showToast({
              ...
            })

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.